import os.path
import sys

from PyQt5.QtQml import QQmlComponent, QQmlEngine
from PyQt5.QtWidgets import QApplication

app = QApplication(sys.argv)
engine = QQmlEngine(app)
qml_path = os.path.join(os.path.abspath(os.path.dirname(__file__)), 'test.qml')
comp = QQmlComponent(engine, qml_path, engine)
for e in comp.errors():
    print e.description()
instance = comp.create()
sys.exit(app.exec_())
